Kresus app: please test!

fr
en

#21

Merci @LowMem pour cette bonne nouvelle de voir Kresus porté sur Yunohost.

De mon coté l’install s’est bien déroulé. (url github collé dans l’interface web d’admin)
L’application apparait bien dans la page d’accueil Yunohost.
Mais quand j’essaye d’accéder à l’application, j’ai une erreur 502 Bad Gateway.
Dans les informations de debugage , je vois un log nginx avec :

2017/10/24 12:13:06 [error] 7606#0: *69319 connect() failed (111: Connection refused) while connecting to upstream, client: 88.00, server: 00.nohost.me, request: “GET /kresus/ HTTP/1.1”, upstream: “http://127.0.0.1:9876/”, host: “00.nohost.me”, referrer: “https://00.nohost.me/yunohost/sso/

Pourtant dans la partie Accès de Kresus, j’ai bien ajouté tous mes utilisateurs.


#22

Bonjour,

La version 0.12 de Kresus a cassé pas mal de choses par rapport à l’existant, notamment l’apparition d’un fichier de configuration, et la suppression des données de SMTP de la base de donnée.

Je suis en train de finaliser la mise à jour du paquet YNH, pour que ça s’installe correctement, puis que ça se mette à jour correctement.

@LowMem : je te proposerai un PR lorsque j’aurai fini mes ajouts (voir les issues sur mon repo github)


#23

Bonjour @fab13n

Kresus n’est pas multiutilisateur, il ne faut donc pas y donner accès à tous les utilisateurs. Je vais mettre à jours le manifest pour éviter ça


#24

:wink: merci ah effectivement c’est bon à savoir.
Du coup c’est au niveau du nombre d’utilisateur dans yunohost que ça pose soucis ?
Car j’avais testé tout de suite après l’install (“par défaut tous les utilisateurs ont accès à l’application”).
Puis après l’erreur, j’ai essayé les différentes configurations d’ajout / suppression d’utilisateur.

Après ton message, j’ai tenté de modifier les utilisateurs dans Accueil> Applications >Kresus >Accès

  • Le bouton rouge “retirer les accès” en face d’un utilisateur ne fonctionne pas. (pas d’effet visible )
  • le bouton “Supprimer tous les accès” fonctionne
  • le bouton “choisissez un utilisateur - Ajouter” fonctionne , et l’utilisateur choisi est bien ajouté . Par contre, il subsiste un utilisateur “fantôme” nommé " () " dans la liste. Et donc pas de moyen de le retirer depuis l’interface web.

Il faut passer par l’édition de certain fichier de config pour corriger cela ?
Faut-il supprimer mon deuxième utilisateur Yunohost ?


#25

Je ne sais pas comment cela fonctionne précisément dans yunohost…
Un jour Kresus sera multiutilisateur, mais en attendant, il vaut mieux faire une instance par utilisateur, dans la prochaine version de l’installeur, il faudra sélectionner un utilisateur qui a droit d’accéder à l’application, et réinstaller Kresus pour chaque utilisateur.

En attendant, il doit y avoir une commande qui permet d’interdire l’accès à tous les utilisateurs, sauf 1, mais je l’ai pas sous la main (j’ai pas encore exploré ça).


#26

Avec yunohost app removeaccess kresus user ça doit passer.


#27

@LowMem Utilise le helper node https://github.com/YunoHost-Apps/etherpad_mypads_ynh/blob/master/scripts/_common.sh#L98-L221


#28

Merci pour le conseil. ‘User’ est à remplacer par mon nom d’utilisateur ? Mais je vois toujours mes 2 utilisateurs dans l’interface web.

Du coup, j’ai supprimé mon deuxième utilisateur yunohost et supprimer Kresus, afin de refaire une install sur un meilleur base…


#29

Kresus n’est pas multiutilisateur, il ne faut donc pas y donner accès à tous les utilisateurs. Je vais mettre à jours le manifest pour éviter ça

Personnellement, j’utilise ma YUNoHost box justement pour partager des données avec la personne que j’aime.
Rendre l’application Kresus “mono-utilisateur” nous empêcherait de le faire…


#30

Excellente nouvelle !
Je regarderai, quand j’aurai du temps… :blush:


#31

Il faudra prendre en compte ce cas d’usage, effectivement. Mais l’inverse, à savoir l’application partagée par défaut entre tous les utilisateurs n’est pas acceptable, notamment pour les instances YNH qui ne se limitent pas à des couples.


#32

Bonjour @ZeHiro, si jamais tu as une version bêta pour ton nouveau paquet YNH, je suis volontaire pour le tester :wink:


#33

@Limezy J’ai un installeur plus fini, mais encore non testé pour ses dernières features (configuraiton de l’envoi de mails). Je dois encore tester ça ce weekend (je suis même pas sur que le script d’install aille au bout)


#34

Top, j’attends avec impatience de faire le crash test !


#35

L’idée c’est d’éviter le crash test :stuck_out_tongue:


#36

Bonjour @ZeHiro, des nouvelles ? Puis-je aider d’une façon ou d’une autre à réhabiliter ce paquet ? Au plaisir de te lire !


#37

Petit up au cas où ? Pour faire les comptes de Noël ! :blush:


#38

Salut, desolé pour le silence radio, j’ai avancé, normalement l’install va au bout (pas testé depuis un moment, et j’ai bidouillé les scripts depuis). E’ fait, il me manque une feature importante de kresus, c’est l’envoi d’email (un rapport quotidien, les alertes sur solde etc), et je coince sur le sujet. Si tu es joueur, tu peux utiliser mon repo github
https://github.com/zehiro/kresus_ynh
pour tester, sans garentie que ça marche. (Il manque peut etre des traductions).
Je vais essayer de m’y atteler pendant les vacances, mais sans garantie une fois de plus.
Merci pour l’interet que tu portes au projet, et pour les relances,


#39

Merci pour ta réponse!
J’ai essayé plusieurs fois avec plusieurs méthodes différentes (en ligne de commande, via l’interface web, après mise à jour de mon Yunohost…) et l’installation ne parvient pas à aller jusqu’au bout :frowning:
J’ai quelques warnings mais qui n’ont pas l’air graves, et pourtant le script termine immanquablement par désinstaller Kresus ! Je poste ici mon log d’installation en “mode verbeux” car je n’arrive vraiment pas à interpréter les erreurs.

debian@mondomaine:/home$ sudo yunohost app install https://github.com/zehiro/kresus_ynh --verbose
Downloading...
Extracting...
Done
Checking required packages...
Available domains:
- mondomaine.fr
- vpn.mondomaine.fr
- mails.mondomaine.fr
- nuage.mondomaine.fr
- photos.mondomaine.fr
- presse.mondomaine.fr
- comptes.mondomaine.fr
- bulletin.mondomaine.fr
- mastodon.mondomaine.fr
- recettes.mondomaine.fr
- sondages.mondomaine.fr
- sauvegarde.mondomaine.fr
Choose a domain name for Kresus (default: mondomaine.fr): comptes.mondomaine.fr
Choose a path for Kresus (default: /kresus):
Choose a user: monidentifiant
Would you like to allow email notifications ? [0 | 1] (default: 0):
Executing script '/var/cache/yunohost/from_file/kresus_ynh-master/scripts/install'...
+ set -eu
+ app=kresus
+ domain=comptes.mondomaine.fr
+ path=/kresus
+ install_path=/home/ynhkresus
+ source /usr/share/yunohost/helpers
+++ run-parts --list /usr/share/yunohost/helpers.d
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/backend ']'
++ . /usr/share/yunohost/helpers.d/backend
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/filesystem ']'
++ . /usr/share/yunohost/helpers.d/filesystem
+++ CAN_BIND=1
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/ip ']'
++ . /usr/share/yunohost/helpers.d/ip
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/mysql ']'
++ . /usr/share/yunohost/helpers.d/mysql
+++ MYSQL_ROOT_PWD_FILE=/etc/yunohost/mysql
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/network ']'
++ . /usr/share/yunohost/helpers.d/network
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/package ']'
++ . /usr/share/yunohost/helpers.d/package
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/print ']'
++ . /usr/share/yunohost/helpers.d/print
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/setting ']'
++ . /usr/share/yunohost/helpers.d/setting
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/string ']'
++ . /usr/share/yunohost/helpers.d/string
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/system ']'
++ . /usr/share/yunohost/helpers.d/system
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/user ']'
++ . /usr/share/yunohost/helpers.d/user
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/utils ']'
++ . /usr/share/yunohost/helpers.d/utils
+ yunohost app checkurl comptes.mondomaine.fr/kresus -a kresus
Warning: 'yunohost app checkurl' is deprecated and will be removed in the future
+ ynh_system_user_exists kresus
+ getent passwd kresus
+ smtp_password=
+ '[' 0 -eq 1 ']'
+ ynh_system_user_create kresus /home/ynhkresus
+ ynh_system_user_exists kresus
+ getent passwd kresus
+ '[' 2 -ge 2 ']'
+ user_home_dir='-d /home/ynhkresus'
+ sudo useradd -d /home/ynhkresus --system --user-group kresus --shell /usr/sbin/nologin
++ ynh_find_port 9876
++ port=9876
++ test -n 9876
++ netcat -z 127.0.0.1 9876
++ echo 9876
+ port=9876
+ sudo -u kresus mkdir -p /home/ynhkresus/data
Creating directory '/home/ynhkresus'.
+ apt-get -y install curl apt-transport-https ca-certificates
Reading package lists...
Building dependency tree...
Reading state information...
apt-transport-https is already the newest version.
ca-certificates is already the newest version.
curl is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+ echo 'deb https://deb.nodesource.com/node_6.x jessie main'
+ apt-key add -
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key
OK
+ apt-get -y install debian-archive-keyring
Reading package lists...
Building dependency tree...
Reading state information...
debian-archive-keyring is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+ echo 'deb http://deb.debian.org/debian jessie-backports main'
+ apt-get update
Hit http://security.debian.org jessie/updates InRelease
Ign http://debian.mirrors.ovh.net jessie InRelease
Hit http://repo.yunohost.org jessie InRelease
Get:1 http://debian.mirrors.ovh.net jessie-updates InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://repo.yunohost.org jessie/stable amd64 Packages
Get:2 http://debian.mirrors.ovh.net jessie Release.gpg [2,434 B]
Get:3 http://debian.mirrors.ovh.net jessie Release
Hit http://deb.debian.org jessie-backports InRelease
Get:4 http://debian.mirrors.ovh.net jessie-updates/main Sources [17.2 kB]
Get:5 http://debian.mirrors.ovh.net jessie-updates/main amd64 Packages/DiffIndex [9,868 B]
Get:6 http://debian.mirrors.ovh.net jessie-updates/main Translation-en/DiffIndex [3,688 B]
Get:7 http://debian.mirrors.ovh.net jessie/main Sources [7,054 kB]
Ign http://repo.yunohost.org jessie/stable Translation-en_US
Ign http://repo.yunohost.org jessie/stable Translation-en
Get:8 http://deb.debian.org jessie-backports/main amd64 Packages/DiffIndex [27.8 kB]
Hit https://deb.nodesource.com jessie InRelease
Get:9 http://deb.debian.org jessie-backports/main Translation-en/DiffIndex [27.8 kB]
Hit https://deb.nodesource.com jessie/main amd64 Packages
Get:10 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:11 http://debian.mirrors.ovh.net jessie/main amd64 Packages [6,789 kB]
Get:12 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:14 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:15 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:16 http://debian.mirrors.ovh.net jessie/main Translation-en [4,583 kB]
Get:17 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:18 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:19 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:20 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en_US
Get:21 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Fetched 18.8 MB in 5s (3,336 kB/s)
Reading package lists...
+ apt-get install -y nodejs python-pip python-dev python-lxml python-imaging
Reading package lists...
Building dependency tree...
Reading state information...
python-lxml is already the newest version.
python-imaging is already the newest version.
python-dev is already the newest version.
python-pip is already the newest version.
nodejs is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+ apt-get install -yq -t jessie-backports python-future python-six
Reading package lists...
Building dependency tree...
Reading state information...
python-future is already the newest version.
python-six is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 104 not upgraded.
+ pip install weboob
Requirement already satisfied (use --upgrade to upgrade): weboob in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): lxml in /usr/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): cssselect in /usr/local/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): requests>=2.0.0 in /usr/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): python-dateutil in /usr/local/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): PyYAML in /usr/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): html2text>=3.200 in /usr/local/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): mechanize in /usr/local/lib/python2.7/dist-packages (from weboob)
Requirement already satisfied (use --upgrade to upgrade): futures in /usr/local/lib/python2.7/dist-packages (from weboob)
Cleaning up...
+ sudo -u kresus sh -c 'cd $final_path && prefix=$final_path npm install kresus'

> leveldown@1.5.0 install /home/ynhkresus/node_modules/kresus/node_modules/leveldown
> prebuild --install

/home/ynhkresus
└─┬ kresus@0.12.2
  ├── abbrev@1.1.1
  ├── abstract-leveldown@2.6.3
  ├── accepts@1.3.4
  ├── accounting@0.4.1
  ├── addressparser@1.0.1
  ├── after@0.8.2
  ├── ajv@4.11.8
  ├── ansi@0.3.1
  ├─┬ are-we-there-yet@1.1.4
  │ ├── readable-stream@2.3.3
  │ └── string_decoder@1.0.3
  ├── argsarray@0.0.1
  ├── array-flatten@1.1.1
  ├── array-index@1.0.0
  ├── asn1@0.2.3
  ├── assert-plus@0.2.0
  ├── async@1.5.2
  ├── asynckit@0.4.0
  ├── attempt-x@1.1.1
  ├── aws-sign2@0.6.0
  ├── aws4@1.6.0
  ├── babel-polyfill@6.26.0
  ├─┬ babel-runtime@6.26.0
  │ └── regenerator-runtime@0.11.0
  ├── balanced-match@1.0.0
  ├── basic-auth@2.0.0
  ├── bcrypt-pbkdf@1.0.1
  ├── bindings@1.2.1
  ├─┬ bl@1.0.3
  │ └── readable-stream@2.0.6
  ├── block-stream@0.0.9
  ├── body-parser@1.18.2
  ├── boom@2.10.1
  ├── brace-expansion@1.1.8
  ├── buffer-from@0.1.1
  ├── buildmail@4.0.1
  ├── bytes@3.0.0
  ├── cached-constructors-x@1.0.0
  ├── caseless@0.12.0
  ├── chownr@1.0.1
  ├── clone-buffer@1.0.0
  ├── co@4.6.0
  ├── combined-stream@1.0.5
  ├── concat-map@0.0.1
  ├── content-disposition@0.5.2
  ├── content-type@1.0.4
  ├── cookie@0.3.1
  ├── cookie-signature@1.0.6
  ├── core-js@2.5.1
  ├── core-util-is@1.0.2
  ├── cozy-notifications-helper@1.1.0
  ├─┬ cozydb@0.1.13
  │ ├── async@1.5.1
  │ ├── combined-stream@0.0.7
  │ ├── delayed-stream@0.0.5
  │ ├─┬ form-data@0.2.0
  │ │ └── async@0.9.2
  │ ├── mime-db@1.12.0
  │ └── mime-types@2.0.14
  ├── cryptiles@2.0.5
  ├── currency-formatter@1.3.0
  ├── d@1.0.0
  ├─┬ dashdash@1.14.1
  │ └── assert-plus@1.0.0
  ├── debug@2.6.9
  ├── deep-extend@0.4.2
  ├── deferred-leveldown@1.2.2
  ├── define-properties@1.1.2
  ├── delayed-stream@1.0.0
  ├── delegates@1.0.0
  ├── depd@1.1.1
  ├── destroy@1.0.4
  ├── double-ended-queue@2.1.0-0
  ├─┬ duplexer2@0.0.2
  │ ├── isarray@0.0.1
  │ └── readable-stream@1.1.14
  ├── ecc-jsbn@0.1.1
  ├── ee-first@1.1.1
  ├── encodeurl@1.0.1
Warning: npm WARN enoent ENOENT: no such file or directory, open '/home/ynhkresus/package.json'
  ├── end-of-stream@1.4.0
  ├── end-stream@0.1.0
  ├─┬ errno@0.1.4
Warning: npm WARN ynhkresus No description
  │ └── prr@0.0.0
Warning: npm WARN ynhkresus No repository field.
  ├── errorhandler@1.5.0
  ├── es-abstract@1.9.0
Warning: npm WARN ynhkresus No README data
  ├── es-to-primitive@1.1.1
Warning: npm WARN ynhkresus No license field.
  ├── es5-ext@0.10.35
  ├── es6-iterator@2.0.3
  ├── es6-symbol@3.1.1
  ├── escape-html@1.0.3
  ├── etag@1.8.1
  ├── execspawn@1.0.1
  ├── expand-template@1.1.0
  ├─┬ express@4.16.2
  │ ├── setprototypeof@1.1.0
  │ └── statuses@1.3.1
  ├── extend@3.0.1
  ├── extsprintf@1.3.0
  ├── fast-future@1.0.2
  ├─┬ finalhandler@1.1.0
  │ └── statuses@1.3.1
  ├── for-each@0.3.2
  ├── foreach@2.0.5
  ├── forever-agent@0.6.1
  ├── form-data@1.0.0-rc3
  ├── forwarded@0.1.2
  ├── fresh@0.5.2
  ├── fs.realpath@1.0.0
  ├── fstream@1.0.11
  ├── function-bind@1.1.1
  ├── gauge@1.2.7
  ├─┬ getpass@0.1.7
  │ └── assert-plus@1.0.0
  ├── ghreleases@1.0.6
  ├── ghrepos@2.0.0
  ├── ghutils@3.2.1
  ├── github-from-package@0.0.0
  ├── glob@7.1.2
  ├── graceful-fs@4.1.11
  ├── har-schema@1.0.5
  ├── har-validator@4.2.1
  ├── has@1.0.1
  ├── has-own-property-x@3.2.0
  ├── has-symbol-support-x@1.4.1
  ├── has-to-string-tag-x@1.4.1
  ├── has-unicode@2.0.1
  ├── hawk@3.1.3
  ├── hoek@2.16.3
  ├── http-errors@1.6.2
  ├── http-signature@1.1.1
  ├── httpntlm@1.6.1
  ├── httpreq@0.4.24
  ├─┬ hyperquest@1.2.0
  │ └── through2@0.6.5
  ├── iconv-lite@0.4.19
  ├── immediate@3.0.6
  ├── infinity-x@1.0.0
  ├── inflight@1.0.6
  ├── inherits@2.0.3
  ├── ini@1.3.4
  ├── ip@1.1.5
  ├── ipaddr.js@1.5.2
  ├── is-array-buffer-x@1.7.0
  ├── is-callable@1.1.3
  ├── is-date-object@1.0.1
  ├── is-falsey-x@1.0.1
  ├── is-finite-x@3.0.2
  ├── is-function@1.0.1
  ├── is-function-x@3.3.0
  ├── is-index-x@1.1.0
  ├── is-nan-x@1.0.1
  ├── is-nil-x@1.4.1
  ├── is-object-like-x@1.6.0
  ├── is-primitive@2.0.0
  ├── is-regex@1.0.4
  ├── is-string@1.0.4
  ├── is-symbol@1.0.1
  ├── is-typedarray@1.0.0
  ├── isarray@1.0.0
  ├── isexe@2.0.0
  ├── isstream@0.1.2
  ├── js-tokens@3.0.2
  ├── jsbn@0.1.1
  ├── json-schema@0.2.3
  ├── json-stable-stringify@1.0.1
  ├── json-stringify-safe@5.0.1
  ├── jsonify@0.0.0
  ├── jsonist@1.3.0
  ├─┬ jsprim@1.4.1
  │ └── assert-plus@1.0.0
  ├── level-codec@7.0.0
  ├── level-errors@1.0.5
  ├── level-iterator-stream@1.3.1
  ├── level-write-stream@1.0.0
  ├── leveldown@1.5.0
  ├─┬ levelup@1.3.8
  │ ├── level-codec@6.1.0
  │ └── semver@5.1.1
  ├── libbase64@0.1.0
  ├─┬ libmime@3.0.0
  │ └── iconv-lite@0.4.15
  ├── libqp@1.1.0
  ├── lie@3.1.1
  ├── locale-currency@0.0.1
  ├── lodash.isnull@3.0.0
  ├── lodash.pad@4.5.1
  ├── lodash.padend@4.6.1
  ├── lodash.padstart@4.6.1
  ├── loose-envify@1.3.1
  ├── ltgt@2.2.0
  ├── mailcomposer@4.0.1
  ├── math-clamp-x@1.2.0
  ├── math-sign-x@3.0.0
  ├── max-safe-integer@1.0.1
  ├── media-typer@0.3.0
  ├── merge-descriptors@1.0.1
  ├── method-override@2.3.10
  ├── methods@1.1.2
  ├── mime@1.4.1
  ├── mime-db@1.30.0
  ├── mime-types@2.1.17
  ├── minimatch@3.0.4
  ├── minimist@0.0.8
  ├── mkdirp@0.5.1
  ├── moment@2.19.1
  ├── morgan@1.9.0
  ├── ms@2.0.0
  ├── nan@2.4.0
  ├── nan-x@1.0.0
  ├── negotiator@0.6.1
  ├─┬ node-gyp@3.6.2
  │ └── semver@5.3.0
  ├─┬ node-ninja@1.0.2
  │ └── semver@5.4.1
  ├── node-polyglot@2.2.2
  ├── node-uuid@1.4.7
  ├── nodemailer@2.7.2
  ├── nodemailer-direct-transport@3.3.2
  ├── nodemailer-fetch@1.6.0
  ├── nodemailer-shared@1.1.0
  ├── nodemailer-smtp-pool@2.8.2
  ├── nodemailer-smtp-transport@2.7.2
  ├── nodemailer-wellknown@0.1.10
  ├── noop-logger@0.1.1
  ├── nopt@3.0.6
  ├── normalize-space-x@3.0.0
  ├── npmlog@2.0.4
  ├── oauth-sign@0.8.2
  ├── object-assign@4.1.1
  ├── object-get-own-property-descriptor-x@3.2.0
  ├── object-keys@1.0.11
  ├── on-finished@2.3.0
  ├── on-headers@1.0.1
  ├── once@1.4.0
  ├── os-homedir@1.0.2
  ├── os-tmpdir@1.0.2
  ├── osenv@0.1.4
  ├── ospath@1.2.2
  ├── parse-int-x@2.0.0
  ├── parseurl@1.3.2
  ├── path-array@1.0.1
  ├── path-is-absolute@1.0.1
  ├── path-to-regexp@0.1.7
  ├── performance-now@0.2.0
  ├─┬ pouchdb@6.3.4
  │ ├── debug@2.6.4
  │ ├── ms@0.7.3
  │ └── uuid@3.1.0
  ├─┬ prebuild@4.5.0
  │ └── minimist@1.2.0
  ├── printit@0.1.18
  ├── process-nextick-args@1.0.7
  ├── property-is-enumerable-x@1.1.0
  ├── proxy-addr@2.0.2
  ├── prr@1.0.1
  ├── pump@1.0.2
  ├── punycode@1.4.1
  ├── qs@6.5.1
  ├── range-parser@1.2.0
  ├── raw-body@2.3.2
  ├─┬ rc@1.2.2
  │ └── minimist@1.2.0
  ├─┬ readable-stream@1.0.33
  │ └── isarray@0.0.1
  ├── regenerator-runtime@0.10.5
  ├── replace-comments-x@2.0.0
  ├─┬ request@2.80.0
  │ ├── form-data@2.1.4
  │ ├── qs@6.3.2
  │ └── uuid@3.1.0
  ├── request-json-light@0.5.22
  ├── require-coercible-to-string-x@1.0.0
  ├── require-object-coercible-x@1.4.1
  ├── rimraf@2.6.2
  ├── safe-buffer@5.1.1
  ├─┬ send@0.16.1
  │ └── statuses@1.3.1
  ├── serve-static@1.13.1
  ├── setprototypeof@1.0.3
  ├── simple-bufferstream@1.0.0
  ├── simple-get@1.4.3
  ├── simple-mime@0.1.0
  ├── smart-buffer@1.1.15
  ├── smtp-connection@2.12.0
  ├── sntp@1.0.9
  ├── socks@1.1.9
  ├── spark-md5@3.0.0
  ├─┬ sshpk@1.13.1
  │ └── assert-plus@1.0.0
  ├── statuses@1.4.0
  ├── string.prototype.trim@1.1.2
  ├── string_decoder@0.10.31
  ├── stringstream@0.0.5
  ├── strip-json-comments@2.0.1
  ├── tar@2.2.1
  ├── tar-fs@1.16.0
  ├─┬ tar-stream@1.5.4
  │ ├── readable-stream@2.3.3
  │ └── string_decoder@1.0.3
  ├─┬ through2@2.0.3
  │ ├── readable-stream@2.3.3
  │ └── string_decoder@1.0.3
  ├── to-boolean-x@1.0.1
  ├── to-integer-x@3.0.0
  ├── to-number-x@2.0.0
  ├── to-object-x@1.5.0
  ├── to-primitive-x@1.1.0
  ├── to-property-key-x@2.0.2
  ├── to-string-symbols-supported-x@1.0.0
  ├── to-string-tag-x@1.4.2
  ├── to-string-x@1.4.2
  ├── tough-cookie@2.3.3
  ├── trim-left-x@3.0.0
  ├── trim-right-x@3.0.0
  ├── trim-x@3.0.0
  ├── tunnel-agent@0.4.3
  ├── tweetnacl@0.14.5
  ├── type-is@1.6.15
  ├── underscore@1.7.0
  ├── unpipe@1.0.0
  ├── unzip-response@1.0.2
  ├── url-template@2.0.8
  ├── util-deprecate@1.0.2
  ├── util-extend@1.0.3
  ├── utils-merge@1.0.1
  ├── validate.io-undefined@1.0.3
  ├── vary@1.1.2
  ├─┬ verror@1.10.0
  │ └── assert-plus@1.0.0
  ├── vuvuzela@1.0.3
  ├── warning@3.0.0
  ├── which@1.3.0
  ├── white-space-x@3.0.0
  ├── wrappy@1.0.2
  ├─┬ write-stream@0.4.3
  │ └── readable-stream@0.0.4
  └── xtend@4.0.1

+ nginx_conf=../conf/nginx.conf
+ sed -i s@YNH_WWW_PATH@/kresus@g ../conf/nginx.conf
+ sudo cp ../conf/nginx.conf /etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf
+ kresus_conf=../conf/config.ini
+ sed -i s@YNH_DATA_DIR@/home/ynhkresus@ ../conf/config.ini
+ sed -i s@KRESUS_PATH@/kresus@ ../conf/config.ini
+ sed -i s@YNH_APP_ARG_DOMAIN@comptes.mondomaine.fr@ ../conf/config.ini
+ sed -i s@YNH_USER@kresus@ ../conf/config.ini
+ sed -i s@YNH_PORT@9876@ ../conf/config.ini
+ sed -i s@KRESUS_SMTP_PASSWORD@@ ../conf/config.ini
+ ynh_app_setting_set kresus domain comptes.mondomaine.fr
+ sudo yunohost app setting kresus domain --value=comptes.mondomaine.fr --quiet
+ ynh_app_setting_set kresus ynh_data_dir /home/ynhkresus
+ sudo yunohost app setting kresus ynh_data_dir --value=/home/ynhkresus --quiet
+ ynh_app_setting_set kresus path /kresus
+ sudo yunohost app setting kresus path --value=/kresus --quiet
+ ynh_app_setting_set kresus user kresus
+ sudo yunohost app setting kresus user --value=kresus --quiet
+ ynh_app_setting_set kresus port 9876
+ sudo yunohost app setting kresus port --value=9876 --quiet
+ ynh_app_setting_set kresus smtp_password
Warning: /usr/share/yunohost/helpers.d/setting: line 17: $3: unbound variable
Executing script '/var/cache/yunohost/from_file/kresus_ynh-master/scripts/remove'...
+ set -u
+ app=kresus
+ source /usr/share/yunohost/helpers
+++ run-parts --list /usr/share/yunohost/helpers.d
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/backend ']'
++ . /usr/share/yunohost/helpers.d/backend
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/filesystem ']'
++ . /usr/share/yunohost/helpers.d/filesystem
+++ CAN_BIND=1
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/ip ']'
++ . /usr/share/yunohost/helpers.d/ip
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/mysql ']'
++ . /usr/share/yunohost/helpers.d/mysql
+++ MYSQL_ROOT_PWD_FILE=/etc/yunohost/mysql
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/network ']'
++ . /usr/share/yunohost/helpers.d/network
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/package ']'
++ . /usr/share/yunohost/helpers.d/package
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/print ']'
++ . /usr/share/yunohost/helpers.d/print
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/setting ']'
++ . /usr/share/yunohost/helpers.d/setting
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/string ']'
++ . /usr/share/yunohost/helpers.d/string
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/system ']'
++ . /usr/share/yunohost/helpers.d/system
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/user ']'
++ . /usr/share/yunohost/helpers.d/user
++ for helper in '$(run-parts --list /usr/share/yunohost/helpers.d 2>/dev/null)'
++ '[' -r /usr/share/yunohost/helpers.d/utils ']'
++ . /usr/share/yunohost/helpers.d/utils
++ ynh_app_setting_get kresus domain
++ sudo yunohost app setting kresus domain --output-as plain --quiet
+ domain=comptes.mondomaine.fr
+ systemctl stop kresus
Warning: Failed to stop kresus.service: Unit kresus.service not loaded.
+ systemctl disable kresus
+ ynh_secure_remove /etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf
+ path_to_remove=/etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf
+ forbidden_path='      /var/www        /home/yunohost.app'
+ [[    /var/www        /home/yunohost.app =~ /etc/nginx/conf\.d/comptes\.mondomaine\.fr\.d/kresus\.conf ]]
+ [[ /etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf =~ ^/[[:alnum:]]+$ ]]
+ [[ f = \/ ]]
+ '[' -e /etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf ']'
+ sudo rm -R /etc/nginx/conf.d/comptes.mondomaine.fr.d/kresus.conf
+ ynh_secure_remove /etc/systemd/system/kresus.service
+ path_to_remove=/etc/systemd/system/kresus.service
+ forbidden_path='      /var/www        /home/yunohost.app'
+ [[    /var/www        /home/yunohost.app =~ /etc/systemd/system/kresus\.service ]]
+ [[ /etc/systemd/system/kresus.service =~ ^/[[:alnum:]]+$ ]]
+ [[ e = \/ ]]
+ '[' -e /etc/systemd/system/kresus.service ']'
+ echo '/etc/systemd/system/kresus.service wasn'\''t deleted because it doesn'\''t exist.'
+ sudo service nginx reload
Warning: /etc/systemd/system/kresus.service wasn't deleted because it doesn't exist.
+ ynh_system_user_delete kresus
+ ynh_system_user_exists kresus
+ getent passwd kresus
+ echo 'Remove the user kresus'
+ sudo userdel kresus
Warning: Remove the user kresus
Success! The SSOwat configuration has been generated
Error: Installation failed

#40

Bonjour,

Tu es tombé sur un petit bug. J’imagine en désactivant l’envoi des mails. J’ai mis à jour le script d’install.
Tout devrait bien se passer maintenant.